<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
    xmlns:th="http://www.thymeleaf.org"
    xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<head>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"/>
<meta charset="utf-8" />
<title>Registrazione nuova materia</title>
</head>
<body>

  
    <div align="center" >
        <br />
        
    
	<h1>Registrazione nuova materia</h1>

    
    <form action="#" th:action="@{/aggiungiMateria}" th:object="${materia}"  method="post">
		<div class="form-group">
        <p><input type="hidden" id="idMateria" th:field="*{idMateria}"/></p>
        <div align="left" class="col-md-4">
        <hr>
	    <p><b>Nome materia</b> <input class="form-control" th:classappend="${#fields.hasErrors('nomeMateria')}? is-invalid : ''" 
	    placeholder="Es. Italiano" type="text" th:field="*{nomeMateria}"><span class="text-danger" th:if="${#fields.hasErrors('nomeMateria')}" th:errors="*{nomeMateria}" >Incorrect name subject</span></p> 
	    </div>
	    <p><input class="btn btn-primary" type="submit" value="Aggiungi" /></p>
        </div>
    </form>
	
	
    
    
</body>
</html>